## Package org.beepcore.beep.profile.sasl.otp

Class Summary
OTPDictionary
OTPGenerator: This class serves as a utility that generates OTP information (in the form of a java.util.Properties that can be written to network or disk.
SASLOTPProfile: This class implements the OTP (One-Time-Password) SASL mechanism as an extension of the base SASL profile.

Exception Summary
IllegalOTPStateException: This object is used to represent exceptions and errors relative to the order in which OTP authentication is supposed to take place, such as messages being sent out of order, that sort of thing.
SequenceZeroFailure: This exception is used when a user attempts to authenticate via SASL OTP and it is determined that the user has no more valid hashes left in their OTP database.

Copyright ? 2001 Invisible Worlds, Inc. All Rights Reserved.